<?php
if(!defined('DATALIFEENGINE')){die("Hacking attempt!");}

if ($config['site_offline'] == "yes" AND $user_group[$member_id['user_group']]['allow_offline']) {
	$metatags['title'] .= " (Offline)";
} elseif ($config['site_offline'] == "yes"){
    $tpl->dir = ROOT_DIR . '/templates';
	$tpl->load_template('offline.tpl');
	$tpl->set('{title}', $config['short_title']);
	$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);
	$config['offline_reason'] = str_replace('&quot;', '"', $config['offline_reason']);
	$tpl->set('{reason}', $config['offline_reason']);
	$tpl->compile('main');
	echo $tpl->result['main'];
	die ();
}
?>